Retrieve Safe Configuration
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/safe/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/safe/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/safe/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/safe/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/safe/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/safe/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasNoApprovals": false,
"isDeployed": true,
"address": "0xabcdef1234567890abcdef1234567890abcdef12",
"tokenSymbol": "EURe",
"fiatSymbol": "EUR",
"accountStatus": 0,
"accountAllowance": {
"balance": "1000000000000000000",
"refill": "2000000000000000000",
"period": "86400",
"nextRefill": "1633046400"
}
}{
"message": "<string>"
}Safe Management
Retrieve Safe Configuration
Returns the configuration of the Safe account associated with the authenticated user, including deployment status, approvals, and account status and allowance details from the chain.
GET
/
api
/
v1
/
safe
/
config
Retrieve Safe Configuration
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/safe/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/safe/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/safe/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/safe/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/safe/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/safe/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasNoApprovals": false,
"isDeployed": true,
"address": "0xabcdef1234567890abcdef1234567890abcdef12",
"tokenSymbol": "EURe",
"fiatSymbol": "EUR",
"accountStatus": 0,
"accountAllowance": {
"balance": "1000000000000000000",
"refill": "2000000000000000000",
"period": "86400",
"nextRefill": "1633046400"
}
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successfully retrieved Safe configuration.
Indicates whether the safe has no approvals.
Example:
false
Indicates whether the safe is deployed.
Example:
true
The address of the safe, if available.
Example:
"0xabcdef1234567890abcdef1234567890abcdef12"
The token symbol associated with the safe.
Example:
"EURe"
The fiat symbol derived from the token symbol.
Example:
"EUR"
The integrity status of the account.
Possible values:
- Ok (0): The account is in good standing with no issues
- SafeNotDeployed (1): The Safe account has not been deployed yet
- SafeMisconfigured (2): The Safe account has configuration issues
- RolesNotDeployed (3): The Roles module has not been deployed
- RolesMisconfigured (4): The Roles module has configuration issues
- DelayNotDeployed (5): The Delay module has not been deployed
- DelayMisconfigured (6): The Delay module has configuration issues
- DelayQueueNotEmpty (7): The Delay queue contains pending transactions
- UnexpectedError (8): An unexpected error occurred during validation
Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8 Example:
0
The allowance details for the account.
Show child attributes
Show child attributes